/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_OBJET_PHYSIQUE
#define DEF_OBJET_PHYSIQUE

#include <SFML/System.hpp>

class ObjetPhysique
{
	public:
		virtual const sf::Vector2f &getOrigin() const = 0;
		
		virtual float getLargeur() const = 0;
		virtual float getHauteur() const = 0;
		
		virtual void setPositionX(float pPosition) = 0;
		virtual float getPositionX() const = 0;
		
		virtual void setPositionY(float pPosition) = 0;
		virtual float getPositionY() const = 0;
		
		virtual void prendreCoup(int pPuissance) = 0;
};

#endif
